C2DRegTimeStep Class Referenceabstract
Image Registration and Transformation

The time step class for time-marching registration algorithms. More...

`#include <mia/2d/timestep.hh>`

Inheritance diagram for C2DRegTimeStep:
[legend]
Collaboration diagram for C2DRegTimeStep:
[legend]

## Public Types

typedef C2DImage | plugin_data
| plugin search path data component helper
typedef timestep_type | plugin_type
| plugin search path plugin type component helper
Public Types inherited from CPropertyFlagHolder
typedef std::set< const char * > | Set
| define the type of the set of flags

## Public Member Functions

| C2DRegTimeStep (float min, float max)
float | calculate_pertuberation (C2DFVectorfield &io, const C2DTransformation &shift) const
bool | decrease ()
float | get_delta (float maxshift) const
bool | has_regrid () const
void | increase ()
| increase thetime step by multiplying with 1.5
bool | regrid_requested (const C2DTransformation &b, const C2DFVectorfield &v, float delta) const
virtual | ~C2DRegTimeStep ()
Public Member Functions inherited from CProductBase
const char * | get_init_string () const
void | set_init_string (const char *init)
void | set_module (PPluginModule module)
Public Member Functions inherited from CPropertyFlagHolder
void | add (const char *property)
Set | get_missing_properties (const CPropertyFlagHolder &testset) const
bool | has (const char *property) const
bool | has_all_in (const CPropertyFlagHolder &testset) const
virtual | ~CPropertyFlagHolder ()

## Detailed Description

The time step class for time-marching registration algorithms.

Registration time step for a time-marching registration algorithm like those based on a variational model. Generally the time marhcing model consists of two parts, a PDE describing the regularization model of the registration and the time step that advances the registration transformation towards a minimum.

Definition at line 42 of file 2d/timestep.hh.

## Member Typedef Documentation

## plugin_data

typedef C2DImage C2DRegTimeStep::plugin_data

plugin search path data component helper

Definition at line 46 of file 2d/timestep.hh.

## plugin_type

typedef timestep_type C2DRegTimeStep::plugin_type

plugin search path plugin type component helper

Definition at line 49 of file 2d/timestep.hh.

## Constructor & Destructor Documentation

## C2DRegTimeStep()

C2DRegTimeStep::C2DRegTimeStep | ( | float | min,
|  | float | max )

Constructor

Parameters

  min | minimum time step
  max | maximum time step

## ~C2DRegTimeStep()

virtual C2DRegTimeStep::~C2DRegTimeStep | ( |  | ) |

virtual

## Member Function Documentation

## calculate_pertuberation()

float C2DRegTimeStep::calculate_pertuberation | ( | C2DFVectorfield & | io,
|  | const C2DTransformation & | shift ) const

Evaluate the pertuberation of the vector field in combination with the next transformation to be applied. What actually happens here depends on the time step model.

Parameters

  [in,out] | io | vector field resulting from the solution of the PDE, may be overwritted by its pertuberated version
  | shift | current transformation

Returns
  the norm of the maxium transformation over the transformation domain

## decrease()

bool C2DRegTimeStep::decrease | ( |  | ) |

Decrease the time step by dividing by 2.0. - if the time step falls below the appointed minimum it will be adjusted accordingly

Returns
  true if the time-step was decreased, and false if the time step was already at the minimum

## get_delta()

float C2DRegTimeStep::get_delta | ( | float | maxshift | ) | const

evaluate the time step based on the maximum shift resulting from calculate_pertuberation

Parameters

  maxshift | maximum shift allowed for all pixles

Returns
  the time step delta to be used

## has_regrid()

bool C2DRegTimeStep::has_regrid | ( |  | ) | const

Returns
  true if the time step model supports regridding and false if not

## increase()

void C2DRegTimeStep::increase | ( |  | ) |

increase thetime step by multiplying with 1.5

## regrid_requested()

bool C2DRegTimeStep::regrid_requested | ( | const C2DTransformation & | b,
|  | const C2DFVectorfield & | v,
|  | float | delta ) const

Depending on the time step model, a regridding may be used - specifically this is the case for the fluid dynamic model

Parameters

  b | current transformation
  v | velocity field in case of a fluid dynamic model
  delta | time step

Returns
  true if regridding is necessary, false if not

The documentation for this class was generated from the following file:

- 2d/timestep.hh